package de.amberhome.materialtaptarget;

import anywheresoftware.b4a.BA;
import uk.co.samuelwall.materialtaptargetprompt.MaterialTapTargetPrompt;

@BA.Events(values = {"PromptStateChanged (Prompt As MaterialTargetPrompt, State As Int)",
        "OnHidePromptComplete"})
@BA.ShortName("MaterialTargetPrompt")
public class MaterialTargetPromptWrapper {
    private final MaterialTapTargetPrompt mPrompt;
    private final BA mBa;
    private final String mEventName;

    public static int STATE_DISMISSED = MaterialTapTargetPrompt.STATE_DISMISSED;
    public static int STATE_DISMISSING = MaterialTapTargetPrompt.STATE_DISMISSING;
    public static int STATE_FINISHED = MaterialTapTargetPrompt.STATE_FINISHED;
    public static int STATE_FOCAL_PRESSED = MaterialTapTargetPrompt.STATE_FOCAL_PRESSED;
    public static int STATE_REVEALED = MaterialTapTargetPrompt.STATE_REVEALED;
    public static int STATE_REVEALING = MaterialTapTargetPrompt.STATE_REVEALING;

    public MaterialTargetPromptWrapper(MaterialTapTargetPrompt mPrompt, BA mBa, String mEventName) {
        this.mPrompt = mPrompt;
        this.mBa = mBa;
        this.mEventName = mEventName;

    }

    public void Show() {
        mPrompt.show();
    }

    public void Dismiss() {
        mPrompt.dismiss();
    }

    public void Finish() {
        mPrompt.finish();
    }
}
